package com.sambath.klaklouk_main.screen.login

import com.sambath.klaklouk_main.remote.User

data class LoginViewState(
    val initial: Boolean = false,
    val isProgress: Boolean = false,
    val isLoginSuccess: Boolean = false,
    val error: String? = null
)

data class UserViewState(
    val initial: Boolean = false,
    val isProgress: Boolean = false,
    val isLoginSuccess: Boolean = false,
    val error: String? = null,
    val user: User? = null
)